/*#######################################################################################
AVR Small Webserver 

Copyright (C) 2004 Ulrich Radig

#######################################################################################*/

#ifndef _ETHERNET_H
#define _ETHERNET_H

#define ETHER_OFFSET			0x00
#define ETHER_HEADER_SIZE		13
#define ETHER_MIN_FRAME_SIZE	64
struct Ethernet_Header	{
	unsigned char EnetPacketDest[6];	///< MAC dest. address
	unsigned char EnetPacketSrc[6];		///< MAC source address
	unsigned int EnetPacketType;		///< frame type, 0x0800=IP Datagramm; 0x0806 = ARP; frame length when < 1536
};
//Defines fr if Abfrage
#define Ethernet_IP_Datagramm	ethernet->EnetPacketType == 0x0008
#define Ethernet_ARP_Datagramm 	ethernet->EnetPacketType == 0x0608

#endif// #define _ETHERNET_H

